%global modname virtualenvcontext

Name:             python-virtualenvcontext
Version:          0.1.6
Release:          11%{?dist}
Summary:          Switch virtualenvs with a python context manager

Group:            Development/Languages
License:          GPLv2+
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/v/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python2-devel
BuildRequires:    python2-setuptools

%global _description\
Switch virtualenvs with a python context manager:\
\
>>> from virtualenvcontext import VirtualenvContext\
\
>>> try:\
>>>     import kitchen\
>>> except ImportError as e:\
>>>     print "kitchen is definitely not installed in system-python"\
\
>>> with VirtaulenvContext("my-venv"):\
>>>     import kitchen\
>>>     print "But it *is* installed in my virtualenv"\
\
>>> try:\
>>>     import kitchen\
>>> except ImportError as e:\
>>>     print "But once I exit that block, I lose my powers again..."

%description %_description

%package -n python2-virtualenvcontext
Summary: %summary
Requires:         python2-virtualenvwrapper
%{?python_provide:%python_provide python2-virtualenvcontext}

%description -n python2-virtualenvcontext %_description

%prep
%setup -q -n virtualenvcontext-%{version}

%build
%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Don't run the check section, since it requires a network connection.

%files -n python2-virtualenvcontext
%doc README.rst LICENSE PKG-INFO

%{python_sitelib}/%{modname}
%{python_sitelib}/%{modname}-%{version}-*.egg-info


%changelog
* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.6-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.6-10
- Python 2 binary package renamed to python2-virtualenvcontext
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 Ralph Bean <rbean@redhat.com> - 0.1.6-1
- Upstream version with support for python-2.6.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 08 2012 Ralph Bean <rbean@redhat.com> - 0.1.4-1
- New upstream version to (again) resolve license inconsistency.
- Included PKG-INFO in files section.

* Mon May 07 2012 Ralph Bean <rbean@redhat.com> - 0.1.3-1
- New upstream version -- resolves licensing ambiguity.
- More explicit directory ownership in %%{python_sitelib}

* Wed Apr 25 2012 Ralph Bean <rbean@redhat.com> - 0.1.2-1
- initial package for Fedora
